org.apache.xalan.lib.sql

## Class PooledConnection

- java.lang.Object
- - org.apache.xalan.lib.sql.PooledConnection

    public class PooledConnection
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PooledConnection(java.sql.Connection value)`

### Method Summary

Methods
`void` `close()` Close the real JDBC Connection
`java.sql.Connection` `getConnection()` Returns a reference to the JDBC Connection
`boolean` `inUse()` Returns the current status of the PooledConnection.
`void` `setInUse(boolean value)` Set the status of the PooledConnection.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PooledConnection

    public PooledConnection(java.sql.Connection value)

Parameters:
  `value` -

### Method Detail

#### getConnection

    public java.sql.Connection getConnection()

Returns a reference to the JDBC Connection

Returns:
  Connection

#### setInUse

    public void setInUse(boolean value)

Set the status of the PooledConnection.

Parameters:
  `value` -

#### inUse

    public boolean inUse()

Returns the current status of the PooledConnection.

#### close

    public void close()

Close the real JDBC Connection